Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036560
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2017-08-01 11:002017-09-21 16:49
ReporterngarciaView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision9732bf05ed79
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036560: When creating a POS Order, the shipment accounting date is different from the movement date

DescriptionWhen creating a POS Order, the shipment accounting date is different from the movement date
Steps To ReproduceAs group admin role:
   Create a Sales Order header
   Select POS Order Transaction Document
   Set an Order Date different from today
   Book it
   Navigate to the related goods shipment and check although the movement date is the order date the accounting date is set with today's date
   
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0098371)
hgbot (developer)
2017-08-03 13:56

Repository: erp/devel/pi
Changeset: 9732bf05ed79d99691e9265bf4f742b51ea56e86
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Wed Aug 02 19:28:53 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/9732bf05ed79d99691e9265bf4f742b51ea56e86 [^]

Fixes issue 36560: Shipment accounting date different than order movement date

The m_inout_create process now set as accounting date the date get from the
pos order or now if not.

---
M src-db/database/model/functions/M_INOUT_CREATE.xml
---
(0098374)
aferraz (developer)
2017-08-03 14:02

Code review + Testing OK
(0099297)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-08-01 11:00 ngarcia New Issue
2017-08-01 11:00 ngarcia Assigned To => Triage Finance
2017-08-01 11:00 ngarcia Modules => Core
2017-08-01 11:00 ngarcia Triggers an Emergency Pack => No
2017-08-01 11:04 ngarcia Issue Monitored: networkb
2017-08-01 11:16 aferraz Assigned To Triage Finance => collazoandy4
2017-08-03 05:38 collazoandy4 Status new => scheduled
2017-08-03 13:56 hgbot Checkin
2017-08-03 13:56 hgbot Note Added: 0098371
2017-08-03 13:56 hgbot Status scheduled => resolved
2017-08-03 13:56 hgbot Resolution open => fixed
2017-08-03 13:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9732bf05ed79d99691e9265bf4f742b51ea56e86 [^]
2017-08-03 14:02 aferraz Review Assigned To => aferraz
2017-08-03 14:02 aferraz Note Added: 0098374
2017-08-03 14:02 aferraz Status resolved => closed
2017-08-03 14:02 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099297


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker